import { useTheme } from '~/assets/ts/useTheme';

export default defineNuxtPlugin((nuxtApp) => {
  const { isDark, toggleTheme } = useTheme();

  return {
    provide: {
      theme: {
        isDark,
        toggleTheme
      }
    }
  };
}); 